
<?php
 function truckage_customize_css(){
/** custom colors **/

$accent = get_option('accent_color');
$p= get_option('p_color');
$head = get_option('head_color');
$link = get_option('link_color');
$link_hover = get_option('link_hover');

/** Typography **/

$body_font_family = get_option('body_font_family');
$body_font_style = get_option('body_font_style');
$body_font_weight=get_option('body_font_weight');
$body_font_size=get_option('body_font_size');
$body_line_height=get_option('body_line_height');
$body_letter_spacing=get_option('body_letter_spacing');
$body_text_align=get_option('body_text_align');
			
$h1_font_family = get_option('h1_font_family');
$h1_font_style = get_option('h1_font_style');
$h1_font_weight=get_option('h1_font_weight');
$h1_font_size=get_option('h1_font_size');
$h1_line_height=get_option('h1_line_height');
$h1_letter_spacing=get_option('h1_letter_spacing');
$h1_text_align=get_option('h1_text_align');
			
$h2_font_family = get_option('h2_font_family');
$h2_font_style = get_option('h2_font_style');
$h2_font_weight=get_option('h2_font_weight');
$h2_font_size=get_option('h2_font_size');
$h2_line_height=get_option('h2_line_height');
$h2_letter_spacing=get_option('h2_letter_spacing');
$h2_text_align=get_option('h2_text_align');
			
$h3_font_family = get_option('h3_font_family');
$h3_font_style = get_option('h3_font_style');
$h3_font_weight=get_option('h3_font_weight');
$h3_font_size=get_option('h3_font_size');
$h3_line_height=get_option('h3_line_height');
$h3_letter_spacing=get_option('h3_letter_spacing');
$h3_text_align=get_option('h3_text_align');
			
$h4_font_family = get_option('h4_font_family');
$h4_font_style = get_option('h4_font_style');
$h4_font_weight=get_option('h4_font_weight');
$h4_font_size=get_option('h4_font_size');
$h4_line_height=get_option('h4_line_height');
$h4_letter_spacing=get_option('h4_letter_spacing');
$h4_text_align=get_option('h4_text_align');
			
$h5_font_family = get_option('h5_font_family');
$h5_font_style = get_option('h5_font_style');
$h5_font_weight=get_option('h5_font_weight');
$h5_font_size=get_option('h5_font_size');
$h5_line_height=get_option('h5_line_height');
$h5_letter_spacing=get_option('h5_letter_spacing');
$h5_text_align=get_option('h5_text_align');
			
$h6_font_family = get_option('h6_font_family');
$h6_font_style = get_option('h6_font_style');
$h6_font_weight=get_option('h6_font_weight');
$h6_font_size=get_option('h6_font_size');
$h6_line_height=get_option('h6_line_height');
$h6_letter_spacing=get_option('h6_letter_spacing');
$h6_text_align=get_option('h6_text_align');

/** Header **/
$background_top=get_option('top_bgcolor');
$textcolor_top=get_option('top_txtcolor');
$background = get_option('header_bgcolor');
$textcolor = get_option('header_txtcolor');
$totop=get_option('button_top_color');
$totopbutton=get_option('button_to_top');
$preload=get_option('preload');

/** Footer **/

$background_footer = get_option('footer_bgcolor');
$textcolor_footer = get_option('footer_textcolor');

?>

<style>
/** custom colors **/
	.elementor-button-link{
	background:<?php echo $accent; ?>;
	color:#fff;border:1px solid <?php echo $accent; ?>;
	}
				
body{
	color:<?php echo $p;?>;
	}
	
h1,h2,h3,h4,h5,h6{
	color:<?php echo $head; ?>;
	}
				
a{
	color:<?php echo $link; ?>;
	}
	
a:hover{
	color:<?php echo $link_hover; ?>;
	}

/** Typography **/

body, a, p{
	font-family:'<?php echo $body_font_family; ?>';
	font-style:<?php echo $body_font_style; ?>;
	font-weight:<?php echo $body_font_weight; ?>;
	font-size:<?php echo $body_font_size; ?>px;
	line-height:<?php echo $body_line_height; ?>;
	letter-spacing:<?php echo $body_letter_spacing; ?>px;
	text-align:<?php echo $body_text_align; ?>;
	}
			
h1{
	font-family:'<?php echo $h1_font_family; ?>';
	font-style:<?php echo $h1_font_style; ?>;
	font-weight:<?php echo $h1_font_weight; ?>;
	font-size:<?php echo $h1_font_size; ?>px;
	line-height:<?php echo $h1_line_height; ?>;
	letter-spacing:<?php echo $h1_letter_spacing; ?>px;
	text-align:<?php echo $h1_text_align; ?>;
	}
			
h2{
	font-family:'<?php echo $h2_font_family; ?>';
	font-style:<?php echo $h2_font_style; ?>;
	font-weight:<?php echo $h2_font_weight; ?>;
	font-size:<?php echo $h2_font_size; ?>px;
	line-height:<?php echo $h2_line_height; ?>;
	letter-spacing:<?php echo $h2_letter_spacing; ?>px;
	text-align:<?php echo $h2_text_align; ?>;
	}
			
h3{
	font-family:'<?php echo $h3_font_family; ?>';
	font-style:<?php echo $h3_font_style; ?>;
	font-weight:<?php echo $h3_font_weight; ?>;
	font-size:<?php echo $h3_font_size; ?>px;
	line-height:<?php echo $h3_line_height; ?>;
	letter-spacing:<?php echo $h3_letter_spacing; ?>px;
	text-align:<?php echo $h3_text_align; ?>;
	}
			
h4{
	font-family:'<?php echo $h4_font_family; ?>';
	font-style:<?php echo $h4_font_style; ?>;
	font-weight:<?php echo $h4_font_weight; ?>;
	font-size:<?php echo $h4_font_size; ?>px;
	line-height:<?php echo $h4_line_height; ?>;
	letter-spacing:<?php echo $h4_letter_spacing; ?>px;
	text-align:<?php echo $h4_text_align; ?>;
	}
	
h5{
	font-family:'<?php echo $h5_font_family; ?>';
	font-style:<?php echo $h5_font_style; ?>;
	font-weight:<?php echo $h5_font_weight; ?>;
	font-size:<?php echo $h5_font_size; ?>px;
	line-height:<?php echo $h5_line_height; ?>;
	letter-spacing:<?php echo $h5_letter_spacing; ?>px;
	text-align:<?php echo $h5_text_align; ?>;
	}
			
h6{
	font-family:'<?php echo $h6_font_family; ?>';
	font-style:<?php echo $h6_font_style; ?>;
	font-weight:<?php echo $h6_font_weight; ?>;
	font-size:<?php echo $h6_font_size; ?>px;
	line-height:<?php echo $h6_line_height; ?>;
	letter-spacing:<?php echo $h6_letter_spacing; ?>px;
	text-align:<?php echo $h6_text_align; ?>;
	}

/** Header **/
			
	<?php
	if($totopbutton==false)
	{?>

#topbutton{
	visibility:hidden;
	}
	
	<?php
	}
	if($preload==false)
	{?>
.load-wrap{
	visibility:hidden;
	}
	<?php
	}
	?>
	
nav{
	background-color:<?php echo $background;?>; 
	background-image:url('<?php echo get_theme_mod('header_bgimg'); ?>');
	}

.navbar a{ 
color:<?php echo $textcolor;?>; 
padding: 10px 0px 0px 0px;
}

#topbutton{
	background:<?php echo $totop;?>;
	}

.spinner-loader .load-wrap {
	background-image: url('<?php echo get_theme_mod('preloader'); ?>');
	}

.top{
	background:<?php echo $background_top;?>;
	height:50px;
}
.top p{
	color:<?php echo $textcolor_top;?>;
	line-height:50px;
	font-size:14px;
}
.top a{
	color:<?php echo $textcolor_top;?>;
	line-height:50px;
	padding:0px 3px;
	font-size:14px;
}
.top a:hover{
	color:<?php echo get_option('accent_color');?>;
	text-decoration:none;
}
.top .contact .fa{
	color:<?php echo get_option('accent_color');?>;
	padding:0px 10px;
	font-size:16px;
}
@media only screen and (max-width: 600px) {
.top .social{
	display:none;
}
.top{
	height:auto;
	padding:10px 0px 0px 0px;
}
.top p{
	line-height:inherit;
	text-align:center;
}
}
@media only screen and (max-width: 800px) {
.top .social{
	display:none;
}
}
/** Footer **/


.footer{
	background:<?php echo $background_footer;?>;
	text-align:center;
	padding: 20px 0 5px;
	}
	
.footer .social a{
	padding:0px 10px;
}
@media only screen and (max-width: 600px) {
.footer{
	padding:20px;
	text-align:center;
	}
}
.footer h2{
	color:#fff;
	}
.footer p, .footer i, .footer a{
	color:<?php echo $textcolor_footer;?>;
	}
  
</style>
<?php
 }
 add_action('wp_head','truckage_customize_css' );   
?>