<?php


/**
 * The template for displaying Header
 *
 * @package truckage
 */


?> 
<div class="top">
	<div class="container">
		<div class="row">
			<div class="col-lg-4 col-md-4 contact">
			<p><i class="fa fa-map-marker"></i> <?php echo get_option('footer_contact');?></p>
			</div>
			<div class="col-lg-3 col-md-4 contact">
			<p><i class="fa fa-phone"></i> <?php echo get_option('footer_phone');?></p>
			</div>
			<div class="col-lg-3 col-md-4 contact">
			<p><i class="fa fa-envelope"></i> <?php echo get_option('footer_mail');?></p>
			</div>	
			<div class="col-lg col-md-3 justify-content-end social">
			<?php dynamic_sidebar('sidebar');?>
			</div>
			
		</div>
	</div>
</div>  
<nav class="navbar navbar-expand-md navbar-light"><div class="container">
<?php
the_custom_logo();


if ( is_front_page() && is_home() ) :
?>
<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) );
?>" rel="home"><?php bloginfo( 'name' );
?></a></h1>
<?php
else :
?>
<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) );
?>" rel="home"><?php bloginfo( 'name' );
?></a></h1>
<?php
endif;


$truckage_description = get_bloginfo( 'description', 'display' );


if ( $truckage_description || is_customize_preview() ) :
?>
<p class="site-description"><?php echo $truckage_description;
?></p>
<?php 
endif;

?>
<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
	<span class="navbar-toggler-icon"></span>
</button>
<div class="collapse navbar-collapse justify-content-end" id="collapsibleNavbar">
	<div class="circleBehind">
	<ul class="navbar-nav">
		<?php wp_nav_menu( array(
'theme_location'=>'primary',
));

?>
	</ul>
</div>  
</div>
</nav>
						